=== debian/changelog ===
ros-kinetic-frame-editor (1.0.4-0xenial) xenial; urgency=high

  * Query if to add frames or update the whole list
  * Fixed static initialisation of tf broadcaster
  * Show current file name in label instead of window title
  * Disabled menu
  * Add load and save yaml service
  * remember last opened folder
  * Contributors: Lorenz Halt, ipa-lth, ipa-pgt

 -- ipa-lth <lorenz.halt@ipa.fraunhofer.de>  Thu, 31 Jan 2019 00:00:00 -0000

ros-kinetic-frame-editor (1.0.3-0xenial) xenial; urgency=high

  * namespacing ROS services
  * wait for transform for 1 sec
  * Contributors: Witalij Siebert, ipa-frn

 -- ipa-lth <lorenz.halt@ipa.fraunhofer.de>  Tue, 15 May 2018 00:00:00 -0000

ros-kinetic-frame-editor (1.0.2-0xenial) xenial; urgency=high

  * Fix: import rospkg
    Add rviz view to headless demo launch
  * headless version
  * during close, save_as proposes to save as current yaml
  * added Duplicate Frame button
  * Installing tags for frameeditor
  * package.xml v2
  * Ask for automatic mesh version path update if possible.
  * fix legacy yaml loading, if you want to change to rospackages+path you have to reselect your mesh and save again
  * Warning Widget if saved with absolute pathes
  * resolve mesh pathes with rospackages if possible, fall back to absolute pathes if not possible.
  * ugly qt5-slots workaround to make meshes and forms work
  * Contributors: ipa-frn, ipa-lth, ipa-pgt

 -- ipa-frn <frank.naegele@ipa.fraunhofer.de>  Wed, 27 Sep 2017 00:00:00 -0000
