=== debian/control ===
Source: ros-kinetic-frame-editor
Section: misc
Priority: extra
Maintainer: ipa-lth <lorenz.halt@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-interactive-markers, ros-kinetic-message-generation, ros-kinetic-rospy, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-py, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Homepage: http://www.ipa.fraunhofer.de/
Standards-Version: 3.9.2

Package: ros-kinetic-frame-editor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-interactive-markers, ros-kinetic-message-runtime, ros-kinetic-rospy, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-py, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Description: The frame_editor package
